from OFS.Folder import Folder
from Globals import DTMLFile

# module level declarations and methods

manage_addSchoolInfoForm = DTMLFile("dtml/addSchoolInfoForm", globals())

def manage_addSchoolInfo(self,id,title,PrincipalContactName,district,superintendent,REQUEST):
	"Method for adding a Tuttle site"
	newSchool = SchoolInfo(id,title,PrincipalContactName,district,superintendent)
	# add a folder for studens
	studFolder=Folder()
	studFolder.id="students"
	studTit=title+' student portfolios'
	studFolder.title=studTit
	newSchool._setObject('students',studFolder)
	# add a folder for teachers
	facFolder=Folder()
	facFolder.id="teachers"
	facTit=title+' teacher files'
	facFolder.title=facTit
	newSchool._setObject('teachers',facFolder)
	self._setObject(id, newSchool)
	return self.manage_main(self, REQUEST)

class SchoolInfo(Folder):
	"The SchoolInfo Class"
	meta_type = "Tuttle School Site"

	def __init__ (self, id, title,\
	PrincipalContactName="Unknown", district="Unknown School District", superintendent="Unknown"):
		"To do: add more of the attributes in the SIF model."
		self.id=id
		self.title=title #maps to SIF.SchoolInfo.SchoolName
		self.PrincipalContactName=PrincipalContactName
		self.district=district
		self.superintendent=superintendent
	
	# set up our management tabs
	manage_options=(
	{'label':'Contents','action':'manage_main'},
	{'label':'View','action':'index_html'}, 
	{'label':'School Info','action':'manage_edit'},
	{'label':'Security','action':'manage_access'},
	{'label':'Undo','action':'manage_UndoForm'},	
	{'label':'Find','action':'manage_findForm'},
	{'label':'Properties','action':'manage_propertiesForm'},
	)
	
	# declare properties
	_properties=(
	{'id':'title', 'type':'string'},
	{'id':'PrincipalContactName','type':'string'},
	{'id':'district', 'type':'string'},
	{'id':'superintendent','type':'string'}
	)

	# Class level functions and (web) methods 
	manage_edit=DTMLFile("dtml/mainSchoolInfo", globals())
	index_html=DTMLFile("dtml/indexSchoolInfo", globals())

	def editSchoolInfo(self, title, PrincipalContactName, district, superintendent,REQUEST):
		"Edit School Properties"
		
		self.title=title
		self.PrincipalContactName=PrincipalContactName
		self.district=district
		self.superintendent=superintendent

		return self.index_html(self, REQUEST)

	
